import { Component } from "@angular/core";

import { Platform } from "@ionic/angular";
import { SplashScreen } from "@ionic-native/splash-screen/ngx";
import { StatusBar } from "@ionic-native/status-bar/ngx";
import { ApiService } from "./service/api.service";

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styleUrls: ["app.component.scss"]
})
export class AppComponent {
  public appPages = [
    {
      title: "Home",
      url: "/home",
      icon: "home"
    },
    {
      title: "List",
      url: "/list",
      icon: "list"
    },
    {
      title: "Editor",
      url: "/editor",
      icon: "edit"
    }
  ];

  public nodes = [];

  public darkMode = false;
  constructor(
    private platform: Platform,
    private splashScreen: SplashScreen,
    private statusBar: StatusBar,
    private api: ApiService
  ) {
    this.initializeApp();
  }

  ionViewDidEnter() {
    this.api.get("/menu/items").subscribe(result => {
      this.nodes = result.data;
    });
  }

  initializeApp() {
    this.platform.ready().then(() => {
      this.statusBar.styleDefault();
      this.splashScreen.hide();
    });
  }

  toggleDark() {
    this.darkMode = !this.darkMode;
    console.log("toggel Dark mode");
    if (this.darkMode) {
      console.log("Dark Mode On");
    } else {
      console.log("Dark Mode Off");
    }
  }
}
